import { getStore, removeStore, setStore } from '@/util/store'

const common = {

  state: {
    rememberMeWeek: getStore({name: 'eqestrian_remember_me_week'}) || {},
  },
  actions: {
    setRememberMeWeek({commit}, data){
      commit('SET_REMEMBER_ME', data);
    },
  },
  mutations: {
     //提交荷载
     SET_REMEMBER_ME(state, data) {
      state.rememberMeWeek = data;
      setStore({
        name: 'eqestrian_remember_me_week',
        content: data
      })
    },
  }
}
export default common
